# openssl_pkey_free

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

openssl_pkey_free — Libère une clé privée

### Description

#[\Deprecated]
openssl_pkey_free(OpenSSLAsymmetricKey `$key`): void

> Note:

> Cette fonction n'a aucun effet. Antérieur à PHP 8.0.0, cette fonction était utilisé pour fermer une ressource.

Libère une clé privée créée par la fonction openssl_pkey_new().

### Liste de paramètres

`key`

  Ressource représentant la clé.

### Valeurs de retour

Aucune valeur n'est retournée.

### Historique

Version | Description
--- | ---
8.0.0 | Cette fonction est désormais obsolète car elle n'a plus d'effet.
8.0.0 | `key` accepte désormais une instance de OpenSSLAsymmetricKey ; auparavant, une resource de type `OpenSSL key` était accepté.